Query an Individual SCIM Schema
GET /api/0/organizations/{organization_id_or_slug}/scim/v2/Schemas/{schema_uri}
Return a single SCIM schema definition by its URI. Sentry supports the core User and Group schemas.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
schema_uri(string)REQUIREDThe SCIM schema URI, e.g.
urn:ietf:params:scim:schemas:core:2.0:User.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:member:adminmember:readmember:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/scim/v2/Schemas/{schema_uri} \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied{ "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Schema" ], "id": "urn:ietf:params:scim:schemas:core:2.0:User", "name": "User", "description": "SCIM User maps to Sentry Organization Member", "attributes": [ { "name": "userName", "type": "string", "multiValued": false, "description": "Unique identifier for the User, which for Sentry is an email address.", "required": true, "caseExact": false, "mutability": "immutable", "returned": "default", "uniqueness": "server" } ], "meta": { "resourceType": "Schema", "location": "https://sentry.io/api/0/organizations/example-org/scim/v2/Schemas/urn:ietf:params:scim:schemas:core:2.0:User" } }
Was this helpful?